﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;

namespace SL5First
{
    public partial class MainPage : UserControl
    {
        public MainPage()
        {
            InitializeComponent();
            PopWindow(400.0, 20.0, "第"+Flag+"个实例窗口");
        }
        public static int Flag = 0;
        private void PopWindow(double left,double top,string title )
        {
            //设置Window的通用属性
            Window testWindow = new Window();
            testWindow.Height = 400;
            testWindow.Width = 500;
            testWindow.Top = top;
            testWindow.Left = left;
            testWindow.Title = title;
            testWindow.Visibility = Visibility.Visible;

            //添加一个内部有按钮的Canvas，设置Canvas的背景色为白色
            Button btn=new Button();
            btn.Width=80.0;
            btn.Height=30.0;
            btn.Content="点  击";
            btn.Margin = new Thickness(5, top + Flag * 10, 0, 0);
            btn.Click += new RoutedEventHandler(btn_Click);
            Canvas canvas = new Canvas();
            canvas.Children.Add(btn);
            canvas.Background = new SolidColorBrush(Colors.White);
            testWindow.Content = canvas;

            //窗口默认值是WindowState.Normal正常情况
            testWindow.WindowState = WindowState.Normal;
                //WindowState.Maximized; 窗口最大化
                //WindowState.Minimized; 窗口最小化
                //WindowState.Normal;    普通窗口

            //弹出的窗口的边框 默认值为WindowStyle.SingleBorderWindow
            testWindow.WindowStyle = WindowStyle.SingleBorderWindow;
                //WindowStyle.SingleBorderWindow              窗口显示标题栏和边框。 
                //WindowStyle.None                            窗口不显示标题栏或边框。 
                //WindowStyle.BorderlessRoundCornersWindow    窗口不显示标题栏或边框，且窗口角变圆 
            
            //指示窗口是否一直在其他窗口前面显示
            testWindow.TopMost = true;
            //testWindow.TopMost = true;
            Flag++;
        }

        void btn_Click(object sender, RoutedEventArgs e)
        {
            PopWindow(400.0, 20.0, "第"+Flag+"个实例窗口");
        }
    }
}
